[BACK]Return to Makefile.common CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / multimedia / totem

File: [cvs.NetBSD.org] / pkgsrc / multimedia / totem / Attic / Makefile.common (download)

Revision 1.69, Fri Apr 26 13:14:06 2019 UTC (4 years, 10 months ago) by maya
Branch: MAIN
CVS Tags: pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.68: +2 -2 lines

Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.

# $NetBSD: Makefile.common,v 1.69 2019/04/26 13:14:06 maya Exp $
#
# used by multimedia/totem-browser-plugin/Makefile
# used by multimedia/totem-nautilus/Makefile

DISTNAME=	totem-2.32.0
CATEGORIES=	multimedia gnome
MASTER_SITES=	${MASTER_SITE_GNOME:=sources/totem/2.32/}

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://www.gnome.org/projects/totem/
COMMENT=	Movie player for the GNOME Desktop
LICENSE=	gnu-gpl-v2 # with an exception clause

DISTINFO_FILE=	${.CURDIR}/../../multimedia/totem/distinfo
PATCHDIR=	${.CURDIR}/../../multimedia/totem/patches
PLIST_SRC=	${.CURDIR}/../../multimedia/totem/PLIST

GNU_CONFIGURE=		YES
USE_TOOLS+=		gmake intltool msgfmt pkg-config gawk
USE_LIBTOOL=		YES
USE_PKGLOCALEDIR=	YES
USE_LANGUAGES=		c c++03

GCONF_SCHEMAS=	totem.schemas
GCONF_SCHEMAS+=	totem-handlers.schemas
GCONF_SCHEMAS+=	totem-video-thumbnail.schemas

CONFIGURE_ARGS+=	--enable-vala=no

PYTHON_VERSIONS_INCOMPATIBLE=	 36 37 # py-gtk2, py-gdata

.include "../../lang/python/application.mk"
.include "../../x11/py-gtk2/buildlink3.mk"
.include "../../www/py-gdata/buildlink3.mk"

.include "../../devel/GConf/schemas.mk"
.include "../../devel/gettext-lib/buildlink3.mk"
BUILDLINK_API_DEPENDS.glib2+=			glib2>=2.8.0
.include "../../devel/glib2/buildlink3.mk"
.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
BUILDLINK_API_DEPENDS.gnome-icon-theme+=	gnome-icon-theme>=2.10.0
.include "../../graphics/gnome-icon-theme/buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../sysutils/dbus/buildlink3.mk"
.include "../../sysutils/dbus-glib/buildlink3.mk"
.include "../../textproc/gnome-doc-utils/buildlink3.mk"
.include "../../textproc/iso-codes/buildlink3.mk"
.include "../../textproc/libxml2/buildlink3.mk"
.include "../../mk/omf-scrollkeeper.mk"
.include "../../x11/libXxf86vm/buildlink3.mk"
.include "../../x11/libXtst/buildlink3.mk"
BUILDLINK_API_DEPENDS.gtk2+=			gtk2+>=2.6.0
.include "../../x11/gtk2/buildlink3.mk"
.include "../../multimedia/totem-pl-parser/buildlink3.mk"